Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global npmname tweetnacl-util

Name:           nodejs-%{npmname}
Version:        0.15.0
Release:        alt1_2
Summary:        Some string encoding utilities

License:        Unlicense
URL:            https://www.npmjs.com/package/%{npmname}

# NPM does not include tests.
Source0:        https://github.com/dchest/tweetnacl-util-js/archive/v%{version}/%{npmname}-%{version}.tar.gz

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  nodejs-tape
BuildRequires:  uglify-js

BuildArch:      noarch
Source44: import.info

%description
String encoding utilities extracted from early versions of tweetnacl-js.
Used in nodejs-tweetnacl's unit tests.

%prep
%setup -q -n tweetnacl-util-js-%{version}


%build
# We need to uglify some sources. :/
uglifyjs nacl-util.js -c -m -o nacl-util.min.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a *.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a *.ts %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
tape test/*.js

%files
%{nodejs_sitelib}/%{npmname}/
%doc --no-dereference LICENSE
%doc README.md AUTHORS.md

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.15.0-alt1_2
- new version

